.Dd July 30, 2018
.Dt IOM-VM 1
.Sh NAME
.Nm iom-vm
.Nd IOM virtual machine.
.Sh SYNOPSIS
.Nm
.Op Fl h
file
.Op Ar file_out
.Sh AUTHOR
Copyright (C) 2018, Andreas Schwenk, contact@arts-and-sciences.com
.Sh LICENSE
GNU GENERAL PUBLIC LICENSE Version 3, 29 June 2007
.Sh DESCRIPTION
Converts an ASCII assembler program into a binary program and/or emulates a binary program on a virtual IOM-CPU.
A list of flags and their descriptions:
.Bl -tag -width -indent
.It Fl h
Converts a given ASCII
.Ar file
into a hex file
.Ar file_out
.El
.Sh EXAMPLES
The following example runs a program given via a hex-file:
.Bl -tag -width -indent
.It " "
iom-vm example.hex
.El
.Bl -tag -width -indent
.It " "
.El
The following example converts a given assembler
.Ar file
to a hex file
.Ar file_out
:
.Bl -tag -width -indent
.It " "
iom-vm -h example.asm example.hex
.El
.Sh DIAGNOSTICS
The iom-vm utility exits 0 on success, and >0 in an error occurs.
